TTF_GetFontHinting(3)

NAME
TTF_GetFontHinting - Query a font's current FreeType hinter setting.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_HintingFlags TTF_GetFontHinting(const TTF_Font *font);

DESCRIPTION
The hinter setting is a single value:

• TTF_HINTING_NORMAL

• TTF_HINTING_LIGHT

• TTF_HINTING_MONO

• TTF_HINTING_NONE

• TTF_HINTING_LIGHT_SUBPIXEL (available in
  SDL_ttf 3.0.0 and later)

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
( TTF_HintingFlags ) Returns the font's current hinter value, or TTF_HINTING_INVALID
 if the font is invalid.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_SetFontHinting(3)